org.jvnet.hudson

## Class Windows.MEMORYSTATUSEX

- java.lang.Object
- - com.sun.jna.Structure
  - - org.jvnet.hudson.Windows.MEMORYSTATUSEX

Enclosing class:
  Windows

    public static final class Windows.MEMORYSTATUSEX
    extends com.sun.jna.Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

### Field Summary

Fields
`int` `dwLength`
`int` `dwMemoryLoad`
`long` `ullAvailExtendedVirtual`
`long` `ullAvailPageFile`
`long` `ullAvailPhys`
`long` `ullAvailVirtual`
`long` `ullTotalPageFile`
`long` `ullTotalPhys`
`long` `ullTotalVirtual`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`Windows.MEMORYSTATUSEX()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwLength

    public int dwLength

#### dwMemoryLoad

    public int dwMemoryLoad

#### ullTotalPhys

    public long ullTotalPhys

#### ullAvailPhys

    public long ullAvailPhys

#### ullTotalPageFile

    public long ullTotalPageFile

#### ullAvailPageFile

    public long ullAvailPageFile

#### ullTotalVirtual

    public long ullTotalVirtual

#### ullAvailVirtual

    public long ullAvailVirtual

#### ullAvailExtendedVirtual

    public long ullAvailExtendedVirtual

### Constructor Detail

#### Windows.MEMORYSTATUSEX

    public Windows.MEMORYSTATUSEX()